- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Updates the ContainerThreatDetectionSettings resource.
IAM Permissions
Requires the following IAM permission on the containerThreatDetectionSettings.name field:
securitycenter.containerthreatdetectionsettings.update
HTTP request
PATCH https://securitycenter.googleapis.com/v1beta2/{containerThreatDetectionSettings.name=folders/*/containerThreatDetectionSettings} The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
containerThreatDetectionSettings.name |
Identifier. The resource name of the ContainerThreatDetectionSettings. Formats:
|
Query parameters
| Parameters | |
|---|---|
updateMask |
The list of fields to be updated. |
Request body
The request body contains an instance of ContainerThreatDetectionSettings.
Response body
If successful, the response body contains an instance of ContainerThreatDetectionSettings.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/securitycenter
For more information, see the Authentication Overview.